View Issue Details

IDProjectCategoryView StatusLast Update
0015161LazarusPrinterpublic2013-04-01 06:44
Reporterliangby Assigned ToJesus Reyes  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.9.28.2 
Target Version1.2.0Fixed in Version1.1 (SVN) 
Summary0015161: lazreport with gtk2 and gtk2 widgetset could not print Chinese
Descriptiontest.lrf is designed with lazreport, include english and chinese text. If use gtk2 and gtk2 widgetset, and print the report, is could not print Chinese , only english. But if use qt widgetset, the prinr result is OK.
I traceed lcl/postscriptunicode.pas , lcl/postscriptcanvas.pas and lcl/postscriptprinter.pas, It could not fond the font, so text with chinese is blank.
I attached 3 files:
1. test.lrf, included english and chinese text
2. qtwidgetset_printed,pdf, the print result with qt widgetset, Chinese is showed
3.gtk(2)_printed.pdf, the print result with gtk or gtk2 widgetset, Chinese is showed as blank
Tagslazreport, postscript
Fixed in Revision40667
LazTarget1.2
WidgetsetGTK 2
Attached Files

Relationships

related to 0019435 closedJesus Reyes Arabic text is not printed under Linux (Ubuntu) 

Activities

2009-11-23 10:50

 

bugreport.tar.bz2 (136,129 bytes)

Issue History

Date Modified Username Field Change
2009-11-23 10:50 liangby New Issue
2009-11-23 10:50 liangby File Added: bugreport.tar.bz2
2009-11-23 10:50 liangby Widgetset => GTK 2
2009-11-23 12:31 Vincent Snijders LazTarget => -
2009-11-23 12:31 Vincent Snijders Assigned To => Jesus Reyes
2009-11-23 12:31 Vincent Snijders Status new => assigned
2010-03-15 02:47 Jesus Reyes Tag Attached: lazreport
2010-03-15 02:47 Jesus Reyes Tag Attached: postscript
2013-04-01 06:44 Jesus Reyes Fixed in Revision => 40667
2013-04-01 06:44 Jesus Reyes LazTarget - => 1.2
2013-04-01 06:44 Jesus Reyes Status assigned => resolved
2013-04-01 06:44 Jesus Reyes Fixed in Version => 1.1 (SVN)
2013-04-01 06:44 Jesus Reyes Resolution open => fixed
2013-04-01 06:44 Jesus Reyes Target Version => 1.2.0
2013-04-01 06:44 Jesus Reyes Relationship added related to 0019435